=== debian/changelog ===
ros-ardent-rviz-default-plugins (3.0.0-1xenial) xenial; urgency=high

  * Numerous changes to support Windows.
  * Added camera display.
  * Moved to ogre 1.10.11.
  * (Re)migrated TF display.
  * Added image display.
  * Moved point cloud displays to rviz_default_plugins.
  * Fixed rendering of point clouds where valid points were not rendered.
  * Added polygon display.
  * Disable robot model until it is properly ported.
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-ardent-rviz-default-plugins (2.0.0-1xenial) xenial; urgency=high

  * First version for ROS 2.
  * Contributors: Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.11-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.10-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Jun 2017 00:37:00 -0000

ros-ardent-rviz-default-plugins (1.12.9-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 21:23:00 -0000

ros-ardent-rviz-default-plugins (1.12.8-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.7-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.6-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.5-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.4-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.3-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.2-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.1-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 20 Apr 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.0-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.14-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 03 Apr 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.13-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.12-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 02:58:00 -0000

ros-ardent-rviz-default-plugins (1.11.11-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 01:16:00 -0000

ros-ardent-rviz-default-plugins (1.11.10-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.9-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.8-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.7-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 02 Mar 2015 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.6-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 13 Feb 2015 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.5-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 11 Feb 2015 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.4-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.3-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 26 Jun 2014 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.2-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 May 2014 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.1-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 01 May 2014 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.0-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Mar 2014 05:40:00 -0000

ros-ardent-rviz-default-plugins (1.10.14-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Mar 2014 05:35:00 -0000

ros-ardent-rviz-default-plugins (1.10.13-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 26 Feb 2014 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.12-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.11-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 26 Jan 2014 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.10-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 22 Dec 2013 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.9-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 15 Oct 2013 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.7-1xenial) xenial; urgency=high




